Which devices are supported?

Android 2.3 and up
iPhone Requires iOS 7.0 or later. Compatible with iPhone, iPad, and iPod touch.

If you're having trouble installing/using the BeFunky App, please try:

Android: Clear cache, restart device.

iPhone: Uninstall app, restart device, reinstall.

If your problem persists, please email support@befunky.com

Have more questions? Submit a request